在我的主LISP中,提示用户在屏幕上选择2个点,我想根据这2次点击旋转文本。我试着让它保持简单,并在插入文本后运行TORIENT命令,但它总是给我一个错误,即TORIENT是一个未知的命令。。。。有什么想法吗?
- (defun getTextData (lineObj textVal)
- (setq pt1 (getpoint "\nSelect Insertion Point: "))
- (setq ro1 (getpoint "\nRotation: Specify first point: "))
- (setq ro2 (getpoint "Specify second point:"))
-
- (entmake (list '(0 . "TEXT")
- '(8 . "DR_PJ_L") ; Change this for different Layer
- (cons 10 pt1)
- (cons 40 0.3) ; Change this for different height
- (cons 1 textVal)
- '(50 . 0.0) ; Text rotation
- '(7 . "ANNO TEXT_") ; change this for different Text Style
- '(71 . 0)
- '(72 . 0)
- '(73 . 0)
- ) ;_ end list
- ) ;_ end entmake
- (setq e (entlast))
- (command "_chprop" e "" "A" "Yes" "") ; Change text to annotative
- (command "_torient" e ro1 ro2)
- )
|